package com.example.nto.dto.entity.employee;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeCreateDTO {
    private String name;
    private String surname;
    private String patronymic;
    private String telephone;
    private String email;
    private String password;
    private boolean isBlocked;

    private String officeName; // Имя офиса, к которому присоединится работник.
    private String positionName; // Должность работника.
    private String role;  // строка либо ROLE_USER, либо ROLE_ADMIN

    // Изображение профиля выберется рандомно из заготовок.
}